<div class="container-fluid">
    <%= _.template($('#input_constructor').html())({
        id:"lang", 
        description: tr("Languages"), 
        default_selector: "string", 
        disable_int:true, 
        value_string: "auto",
        variants: ["auto", "ru", "en"], 
        help: {description: tr("Languages")} }) 
    %>
    <%= _.template($('#input_constructor').html())({
        id:"error", 
        description:  tr("Error"), 
        default_selector: "string", 
        disable_int:true, 
        value_string: "", 
        variants: [
            'red',
            'orange',
            'yellow',
            'green',
            'cyan',
            'blue',
            'purple',
            'white'     
        ], 
        help: {description: tr('The default color for this log level, in hexadecimal format')} }) 
    %>
    <%= _.template($('#input_constructor').html())({
        id:"info", 
        description: tr("Info"), 
        default_selector: "string", 
        disable_int:true, 
        value_string: "", 
        variants: [
            'red',
            'orange',
            'yellow',
            'green',
            'cyan',
            'blue',
            'purple',
            'white'     
        ], help: {description: tr('The default color for this log level, in hexadecimal format')} }) 
    %>
    <%= _.template($('#input_constructor').html())({
        id:"warn", 
        description: tr("Warn"), 
        default_selector: "string", 
        disable_int:true, 
        value_string: "", 
        variants: [
            'red',
            'orange',
            'yellow',
            'green',
            'cyan',
            'blue',
            'purple',
            'white'     
        ], help: {description: tr('The default color for this log level, in hexadecimal format')} }) 
    %>
    <%= _.template($('#input_constructor').html())({
        id:"webEvent", 
        description: tr("Send an event to the web interface"), 
        default_selector: "boolean", 
        disable_int: true, 
        value_string: "false", 
        variants: ["true", "false"], 
        help: {description: tr('Send an event to the web interface')} }) 
    %>
</div>
<div class="tooltipinternal">
    <div class="tr tooltip-paragraph-first-fold">Setup the logger by default</div>  
    <div class="tr tooltip-paragraph-fold">Language selection mode "auto" - language depends on the BAS interface language</div>
    <div class="tr tooltip-paragraph-fold">For each log level you can choose the default color, you can also specify your color in hexadecimal format.</div>
    <div class="tooltip-paragraph-last-fold">
        <span class="tr">If you enable sending events to the web interface, then the </span>
        <b>"customLog"</b>
        <span class="tr"> event will be generated in the format:</span>
        <p><b>Type log:</b></p>
        <pre>
            detail: { 
                type: 'log',
                thread: 1,
                level: 'info',     
                color: "#ffffff"
                id: 162681501,
                date: "2019-10-30T18:46:41.327Z",
                msg:  "message",
                fullMsg: "[162681501] [01:23:25] Thread#1 : message"
            }
        </pre>
        <p><b>Type result:</b></p>
        <pre>
            detail: {
                type: 'result',
                thread: 1,
                num: 1,
                id: 162681501,
                date: "2019-10-30T18:46:41.327Z",
                msg:  "message",
                fullMsg: "[162681501] [01:23:25] Thread#1 : message"
            }
        </pre>
    </div>
</div>
<%= _.template($('#back').html())({action:"executeandadd", visible:true}) %>
